<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use Dcat\Admin\Admin;

Admin::routes();

Route::group([
    'prefix'     => config('admin.route.prefix'),
    'namespace'  => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {

    $router->get('/', 'UserController@index');
    $router->resource('/banner', 'BannerController');
    $router->resource('/users', 'UserController');
    $router->resource('/dynamic', 'DynamicController');
    $router->resource('/dynamic-tag', 'DynamicTagController');
    $router->resource('/vip', 'VipController');
    $router->resource('/vip-set', 'VipConfigController');
    $router->resource('/document', 'DocumentController');
    $router->resource('/chat', 'ChatListController');
    $router->resource('/notice', 'NoticeController');
    $router->resource('/problem', 'UsersProblemController');
    $router->resource('/users_info', 'UsersInfoController');
    $router->resource('/setting', 'SystemConfigController');
    $router->resource('/paymentlog', 'PaymentLogController');
    $router->resource('/report', 'UsersReportController');
});
